RUN_GUBBINS(1)

NAME
run_gubbins - phylogenetic analysis of genome sequences

SYNOPSIS
run_gubbins [-h] [--outgroup OUTGROUP] [--starting_tree STARTING_TREE] [--use_time_stamp] [--verbose] [--no_cleanup] [--tree_builder TREE_BUILDER] [--iterations ITERATIONS] [--min_snps MIN_SNPS] [--filter_percentage FILTER_PERCENTAGE] [--prefix PREFIX] [--threads THREADS] [--converge_method CONVERGE_METHOD] [--version] [--min_window_size MIN_WINDOW_SIZE] [--max_window_size MAX_WINDOW_SIZE] alignment_filename

DESCRIPTION
Gubbins supports rapid phylogenetic analysis of large samples of recombinant bacterial whole genome sequences.

Gubbins (Genealogies Unbiased By recomBinations In Nucleotide Sequences) is an algorithm that iteratively identifies loci containing elevated densities of base substitutions while concurrently constructing a phylogeny based on the putative point mutations outside of these regions. Simulations demonstrate the algorithm generates highly accurate reconstructions under realistic models of short-term bacterial evolution, and can be run in only a few hours on alignments of hundreds of bacterial genome sequences.

OPTIONS

  positional arguments:

alignment_filename
    Multifasta alignment file

  optional arguments:

-h, --help
    show this help message and exit

--outgroup OUTGROUP, -o OUTGROUP
    Outgroup name for rerooting. A list of comma separated names can be used if they form a clade

--starting_tree STARTING_TREE, -s STARTING_TREE
    Starting tree

--use_time_stamp, -u
    Use a time stamp in file names

--verbose, -v
    Turn on debugging

--no_cleanup, -n
    Don't cleanup intermediate files

--tree_builder TREE_BUILDER, -t TREE_BUILDER
    Application to use for tree building [raxml|fasttree|hybrid], default RAxML

--iterations ITERATIONS, -i ITERATIONS
    Maximum No. of iterations, default is 5

--min_snps MIN_SNPS, -m MIN_SNPS
    Min SNPs to identify a recombination block, default is 3

--filter_percentage FILTER_PERCENTAGE, -f FILTER_PERCENTAGE
    Filter out taxa with more than this percentage of gaps, default is 25

--prefix PREFIX, -p PREFIX
    Add a prefix to the final output filenames

--threads THREADS, -c THREADS
    Number of threads to run with RAXML, but only if a PTHREADS version is available

--converge_method CONVERGE_METHOD, -z CONVERGE_METHOD
    Criteria to use to know when to halt iterations [weigh ted_robinson_foulds|robinson_foulds|recombination]

--version
    show program's version number and exit

--min_window_size MIN_WINDOW_SIZE, -a MIN_WINDOW_SIZE
    Minimum window size, default 100

--max_window_size MAX_WINDOW_SIZE, -b MAX_WINDOW_SIZE
    Maximum window size, default 10000

SEE ALSO

Croucher N. J., Page A. J., Connor T. R., Delaney A. J., Keane J. A., Bentley S. D., Parkhill J., Harris S.R. "Rapid phylogenetic analysis of large samples of recombinant bacterial whole genome sequences using Gubbins". Nucleic Acids Res. 2015 Feb 18;43(3):e15. doi: 10.1093/nar/gku1196.

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.